YARET(1)

NAME
YaRET - Yet another Ripper Encoder Tagger

SYNOPSIS
yaret [options]
yaret [--help|--version|--option_only]

DESCRIPTION
This manual page documents briefly the yaret command. This manual page was written for the Debian distribution because the original program does not have a manual page.

YaRET is a Perl script that automates the ripping, normalization, and encoding of CDs. It supports CDDB very well via the Perl Audio::CD module, and also can work with your favorite ripper/normalizer/encoder (e.g., cdparanoia, cdda2wav, normalize, etc.) It supports useful features like multiple concurrent encoders and an easy to use configuration file that lets you customize YaRET to your taste (such as file naming based on the CDDB information).

Please see your ~/.yaretrc file (auto-generated at the first time execution) as well as the /usr/share/doc/yaret/README and yaretrc files that came with YaRET (perhaps located in /usr/share/yaret/dot-yaretrc) for more information about configuring the many features that YaRET comes with.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

[General]

-h, --help
    Display this help (also -?)

-v, --version
    Display the version

--option_only
    Display configuration data

-f, --include=<file>
    Include this file as configuration data (in addition to ~/.yaretrc and any command line options) (also --conf_file)

--cddb_file=<file>
    Include this CDDB information in addition to that obtained from the CDDB query (in same format as both --cddb_dump and --cddb_out produce)

--max_fork=<value>
    Maximum number of normalizers and encoders forked (per type)

--size_order
    Sorts tracks in order of size, completing smaller ones first.

[Display]

--date
    Display the start/end times

--color
    Use color

--alarm
    Send beeps when completed

--clear
    Clear the screen

--quiet
    Do not display anything except errors

[Paths and Filenames]

--root_final=<path>
    Where to place the results

--root_work=<path>
    Where to work on the results

--output_name=<pattern>
    How to name the final file

--output_path=<pattern>
    Path under root_final to place file

--output_track_num_format=<format>
    Specifies a printf format for the track numbering, e.g. "%02d"

--output_trans=<regexp>
    Specifies a regular expression that effects the output of what filename is generated, e.g. "tr/ /_/"

[CDDB Overrides]

--global==<attr>=<val>
    e.g. ARTIST=Bare Naked Ladies (Make sure to use escapes or quotes) (also --cddb_global)

--track==<tracknum>=[<attr>=<val> ]*
    e.g. 14=TRACK=Alone ARTIST=Heart (Make sure to use escapes or quotes)

--cddb_dump=<file>
    Dump cddb information to <file> then exit (no editing, encoding, etc.)

--cddb_out=<pattern>
    After the entire process is completed, output the cddb information to <pattern>. This filename works with the same pattern rules as the other output files, however some keyword may may not be available. The information saved will reflect any editing.

--confirm
    Confirm cddb information (also --cddb_confirm) Use --noconfirm to turn off.

[Ripper]

-r, --ripper=<label>
    Which ripper to use (cdparanoia and cddawav have already been defined) (also --ripper_use)

--ripper_command==<label>=<command>
    The <command> associated with <label>

-d, --device=<device>
    CDROM Device to use, default is /dev/cdrom (also --ripper_device)

--skip=<tracknumlist>
    Skip these tracks, e.g. 3,10-13 (also --ripper_skip)

--auto_skip=<seconds>
    Auto skip tracks that do not grow after <seconds> (also --ripper_auto_skip)

--min_space=<megabytes>
    Do not start ripping a new track unless this much space is free (also --ripper_min_space)

--ripper_nice=<nice>
    Nice the ripper process to <nice>

[Normalize]

--normalize=<label>
    As --ripper (normalize has already been defined)

--normalize_type=<value>
    TRACK/ALBUM normalization, ALBUM uses a larger amount of work space, and cannot start working until all ripping is done.

--normalize_command==<label>=<command>
    As --ripper_command

--normalize_nice=<nice>
    As --ripper_nice

[Encoder]

-e, --encoder=<label>
    As --ripper except you may enable multiple (but make sure you use the ENCODE keyword in --output options) (lame and bladeenc have already been defined)

--encoder_command==<label>=<command>
    As --ripper_command

--bitrate==<label>=<bitrate>
    Set bitrate for <label> encoder (also --encoder_bitrate)

--quality==<label>=<quality>
    Set quality for <label> encoder (also --encoder_quality)

--extension==<label>=<value>
    Set extension for <label> encoder, default is ".mp3" (also --encoder_extension)

--encoder_nice=<nice>
    As --ripper_nice

SEE ALSO
cdparanoia(1), cdda2wav(1), oggenc(1), flac(1), metaflac(1), normalize(1).

AUTHOR
This manual page was written by Marco Nenciarini <mnencia@debian.org>, for the Debian project (but may be used by others).